Class | Amalgalite::View
In: | lib/amalgalite/view.rb lib/amalgalite/view.rb
Parent: | Object

a class representing the meta information about an SQLite view

### Methods

new new

### Attributes

name | [R] | the table name
name | [R] | the table name
schema | [RW] | the schame this view is assciated with
schema | [RW] | the schame this view is assciated with
sql | [R] | the original sql that was used to create this table
sql | [R] | the original sql that was used to create this table

### Public Class methods

new( name, sql )
new( name, sql )

[Validate]